Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?  (gelezen 1424 keer)

Offline Marqeaux

  • Lid
  • Steunpunt: Nee
Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Gepost op: 2011/07/02, 03:45:53 »
Ik zit eigenlijk met het volgende in mijn maag, en het knaagt een beetje. Vandaar dat ik de vraag maar direct even drop: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?

De reden waarom ik het vraag is omdat in LibreOffice al tegen een aantal bugs ben aangelopen, en ik dit ook netjes heb gemeld via de daarvoor bestemde kanalen. Echter is mij opgevallen dat er, sinds versie 3.3.2 uit is, er geen enkele updates of bugfixes via de LibreOffice PPA binnendruppelen. Op de sites van LibreOffice krijg je nieuwe versies voorgeschoteld, maar updaten via die manier kan tricky zijn als je niet weet wat je doet. En bovendien prefereer ik, als redelijk conservatieve gebruiker, liever een install via (betrouwbare) PPA's (voor wat het waard is!), temeer ook omdat je dan o.a. niet tegen problemen met afhankelijkheden aanloopt.

Nu hoef ik niet persé de allernieuwste versie van LibreOffice te draaien, maar updates voor versie 3.3.2 zie ik ook maar niet verschijnen. Dat vind ik eigenlijk wel slecht geregeld, want er zijn inmiddels vele bugfixes geweest op de software. Ik heb ze helaas nog niet gezien! En dat vind ik op zijn minst opmerkelijk.

Via de IRC-kanalen van LibreOffice heb ik bovenstaande vraag ook weleens gesteld, maar daar kreeg ik het antwoord dat het een verantwoordelijkheid was van Canonical, en dat zij degenen zijn die de LibreOffice PPA onderhouden. Hoe zit dat eigenlijk?

In de tussentijd ben ik maar weer teruggegaan naar OpenOffice, aangezien die niet de bugs heeft waar ik in LibreOffice wèl tegenaan liep. Pech voor LibreOffice, maar het moet gewoon werken.

Is er iemand die mij hierover iets wijzer kan maken?
« Laatst bewerkt op: 2011/07/02, 03:48:02 door Marqeaux »
I'm just a simple guy who uses open source software. What's your excuse?

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #1 Gepost op: 2011/07/02, 10:13:58 »
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.3 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren

Offline ivo

  • Lid
  • Steunpunt: Nee
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #2 Gepost op: 2011/07/02, 22:49:30 »
Ik heb zonet via synaptic de 3.3 en alle liboba* verwijderd en van in een terminal de LibO_3.4.1 geïnstalleerd.....

http://www.libreoffice.org/download/

http://tweakers.net/meuktracker/26112/libreoffice-341.html


There are only 10 types of people in the world; those who understand binary and those who don't.

Offline Marqeaux

  • Lid
  • Steunpunt: Nee
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #3 Gepost op: 2011/07/03, 02:47:27 »
Ja, ik heb zojuist ook LibreOffice 3.4.1. via de DEBS en de commandline geïnstalleerd. Normaal gesproken doe ik dit nooit, omdat ik mijn systemen zo "schoon" mogelijk wil houden. Maar LibreOffice 3.3.2 vertoont kuren (door bugs die gemeld zijn, en ook bekend zijn), en ik heb met name Base nodig voor zowel privé- als werktoepassingen. Ik had dan ook gehoopt dat er na enige tijd bugfixes via de LibreOffice PPA (of via de reguliere Ubuntu PPA's) zouden komen. Maar sinds ik Natty heb geïnstalleerd op één van mijn PC's heb ik niet één update of bugfix binnen zien komen via updatebeheer. En via een andere laptop, die Maverick Meerkat draait, en waar ik de LibreOffice PPA heb toegevoegd ook niet. En omdat ik Base toch écht nodig heb, en niet kan blijven wachten totdat er eens wat bugfixes beschikbaar komen die het probleem mogelijk oplossen, moest ik vandaag noodgedwongen LibreOffice 3.4.1. installeren om toch weer gebruik te kunnen maken van Base en LO.

Het zal wel weer een discussie aanslingeren (ik hoop het niet, want dat is niet het doel van mijn posting!), maar ik verwacht wel dat met name de standaard software die meegeleverd wordt met de distro onderhouden wordt. LibreOffice 3.3.2 is al enige maanden uit, en Natty is ook sinds eind april gereleased, dus vind ik het op z'n zachtst gezegd opmerkelijk dat er geen enkele updates of bugfixes beschikbaar zijn gekomen voor LibreOffice via de gebruikelijke wegen. En dan kunnen sommigen (waaronder ikzelf tot voor kort ook!) zeggen dat het niet aan te raden is om software buiten de standaard repositories om te installeren, maar.... door dit “akkefietje” ben ik - wat mening betreft - toch enigszins bijgedraaid in mijn mening, en heb ik besloten om de software gewoon zelf te installeren, dus zonder pakketbeheerder.

Ik vind eerlijk gezegd het wat slordig dat er sinds de release van Natty niet één bugfix of update is aangeboden die de fixes doorvoert, en dan ook voor zulke belangrijke software (want dat is LibreOffice!). En dat terwijl de bugfixes in hogere versies wèl zijn doorgevoerd. Dan sta je als je als gebruiker voor een dilemma, en dan moet je keuzes maken:

1. Blijf je hangen bij de software die bij de distro is meegeleverd, accepteer je de tekortkomingen in de software die deze bugs met zich meebrengen, en blijf je nog langer wachten in de hoop dat die fixes er toch écht komen?

2. Of gooi je, na lang genoeg gewacht te hebben (3 maanden in dit geval) de desbetreffende software eraf en installeer je het via de niet-gebruikelijke weg, met de hoop je dan weer verder kunt met je werk? Ik besloot, gedwongen door de omstandigheden, voor het laatste te gaan. Ik heb de software gewoon nodig, en ik kan er niet langer op wachten eer er eens wat gebeurt.

Om misverstanden te voorkomen: Nee, het boeit me niet of het de nieuwste versie van bepaalde software betreft. Dat is het moraal van het verhaal ook niet. Mij gaat het erom dat de software werkt. En onder Ubuntu is dat meestal ook gewoon zo, ook al is de versienummering niet “the latest and the greatest”. De software onder Ubuntu wordt onder normale omstandigheden fatsoenlijk onderhouden, en dat is verder prima. Maar het gaat mij erom dat in het geval van LibreOffice, toch hét kantoorpakket onder Linux, in dit geval behoorlijk "verwaarloosd" wordt.

Mijn probleem is inmiddels verder wel opgelost. LibreOffice 3.4.1. werkt goed hier. En de desbetreffende bugs die mij onder 3.3.2 hinderden heb ik niet ervaren onder de laatste versie. Maar het gaat er mij om dat de manier waarop ik het opgelost heb eigenlijk niet zo zou moeten horen (is mijn bescheiden mening).

Tot zover mijn gedachte hierover...
« Laatst bewerkt op: 2011/07/03, 03:39:38 door Marqeaux »
I'm just a simple guy who uses open source software. What's your excuse?

Offline Joris Donders

  • Lid
  • Steunpunt: Ja
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #4 Gepost op: 2011/07/03, 11:44:35 »
Het rare is wel dat via de PPA van Libre Office nu de versie 3.3.3 aangeboden wordt.
De bewering is dat er veel bug-fixes zijn en vooral gehamerd wordt op de verhoogde stabiliteit van LO.

Misschien hebben die dingen mekaar gewoon gekruist ?

Maar eigenlijk heb je gelijk; het zou professioneler moeten.

Ik heb daar een draadje over gestart bij Algemeen; http://forum.ubuntu-nl.org/algemeen-42/nieuwe-versie-libre-office-via-ppa/

Ik moet wel toegeven dat dat heel vlot verliep en volgens de site is de kans groot dat er meer aangeboden wordt via die weg dan via Canonical zelf.

Het is wel geen goede zet van LO en Canonical; zo krijg je een wildgroei in je systeem op de duur.
Gubuntu 17.04 wegens verdwijnen Unity binnenkort

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #5 Gepost op: 2011/07/03, 11:50:39 »
Denk dat je (wij) beter beleeft reclameren op Launchpad waarom Libreoffice zo slecht geupdatet wordt en dat zoiets niet opgaat voor diegene die Libreoffice voor hun werk gebruiken.
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.3 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #6 Gepost op: 2011/07/03, 11:55:51 »
(...)
Om misverstanden te voorkomen: Nee, het boeit me niet of het de nieuwste versie van bepaalde software betreft. Dat is het moraal van het verhaal ook niet. Mij gaat het erom dat de software werkt. En onder Ubuntu is dat meestal ook gewoon zo, ook al is de versienummering niet “the latest and the greatest”. De software onder Ubuntu wordt onder normale omstandigheden fatsoenlijk onderhouden, en dat is verder prima.
(....)
Mijn probleem is inmiddels verder wel opgelost. LibreOffice 3.4.1. werkt goed hier. En de desbetreffende bugs die mij onder 3.3.2 hinderden heb ik niet ervaren onder de laatste versie.

Hinderlijke fouten kunnen inderdaad een goede reden zijn om via een kunstgreep (PPA of losse .deb) een nieuwere programmaversie te installeren. Zou ik in jouw plaats ook gedaan hebben, denk ik.  :)

Neemt niet weg, dat het in zo'n geval altijd goed is om een Launchpadmelding te doen....

Offline Marqeaux

  • Lid
  • Steunpunt: Nee
Re: Waarom wordt de PPA van LibreOffice zo slecht onderhouden?
« Reactie #7 Gepost op: 2011/07/03, 16:44:15 »
Neemt niet weg, dat het in zo'n geval altijd goed is om een Launchpadmelding te doen....

Ja, dat had ik inderdaad al gedaan een paar maanden geleden. De bugs had ik ook al gemeld via FreeDesktop, en ik heb er een onderhoud over gehad via de IRC-kanalen met de dev's van LibreOffice. Dus ik heb er in ieder geval alles aan gedaan om het onder de aandacht te brengen.  :)

Goed om te lezen dat ik niet alleen sta in mijn mening hierover. En het belangrijkste is dat ik in ieder geval weer verder kan, ook al was de manier waarop ik het heb opgelost niet "volgens de regels van het boekje". En ik heb er heus wel vertrouwen in dat het in de toekomst beter geregeld gaat worden. Ik weet het zeker....  ;)

Bedankt weer dat jullie er ook een lichtje over hebben laten schijnen!
I'm just a simple guy who uses open source software. What's your excuse?